Subject: Re: bug#8091: fiemap_capable_ misbehaves in a chroot

From: Jim Meyering <[email-masked]>
Date: Mon, 21 Feb 2011 17:25:22 +0100

Pádraig Brady wrote:
...
>> I'm not sure at this point whether df -t is doing the wrong thing or
>> fiemap_capable_ is using it incorrectly. Any thoughts?
>
> We may adjust what df does in future when it can't get the fs list.
> Perhaps we could resort to statfs(), though that has its own
> ambiguities, like ext[234] all having the same type.
> Hmm, that reminds me that we probably want to:
>
> diff --git a/src/stat.c b/src/stat.c
> index f26dced..5458e48 100644
> --- a/src/stat.c
> +++ b/src/stat.c
> @@ -273,7 +273,7 @@ human_fstype (STRUCT_STATVFS const *statfsbuf)
>      case S_MAGIC_EXT: /* 0x137D */
>        return "ext";
>      case S_MAGIC_EXT2: /* 0xEF53 */
> -      return "ext2/ext3";
> +      return "ext2/ext3/ext4";
>      case S_MAGIC_EXT2_OLD: /* 0xEF51 */
>        return "ext2";
>      case S_MAGIC_FAT: /* 0x4006 */

We talked about this two years ago:

  Re: [PATCH] stat: add support for more file system types
    http://www.mail-archive.com/[email-masked]/msg18898.html
  Re: [Bug 485507] RFE: add ext4 to "stat -f" output
    http://lists.gnu.org/archive/html/bug-coreutils/2009-02/msg00160.html

I guess the question should be "do we ever want to change this?".
If so, sooner may be better than later, but I'm not sure it's worth
the risk.